import request from '@/utils/request';
import { AxiosPromise } from 'axios';


export const getCompleteAll = (query: any): AxiosPromise<any[]> => {
  return request({
    url: '/statistic/complete/grade',
    method: 'get',
    params: query
  });
};


export const getCompleteClass = (query: any): AxiosPromise<any[]> => {
  return request({
    url: '/statistic/complete/class',
    method: 'get',
    params: query
  });
};

export const getWarnAll = (query: any): AxiosPromise<any[]> => {
  return request({
    url: '/statistic/warn/grade',
    method: 'get',
    params: query
  });
};


export const getWarnClass = (query: any): AxiosPromise<any[]> => {
  return request({
    url: '/statistic/warn/class',
    method: 'get',
    params: query
  });
};

export const getFactorAll = (query: any): AxiosPromise<any[]> => {
  return request({
    url: '/statistic/factor/grade',
    method: 'get',
    params: query
  });
};


export const getFactorClass = (query: any): AxiosPromise<any[]> => {
  return request({
    url: '/statistic/factor/class',
    method: 'get',
    params: query
  });
};


export const getSchedule = (query: any): AxiosPromise<any[]> => {
  return request({
    url: '/scale/publish/evaluation/pageList',
    method: 'get',
    params: query
  });
};